Package tigase.server.script

# Interface CommandIfc

All Superinterfaces:
  `StatisticHolder`

All Known Implementing Classes:
  `AbstractScriptCommand`, `AddScriptCommand`, `RemoveScriptCommand`, `Script`, `SetLoggingCommand`

public interface CommandIfc extends StatisticHolder
Created: Jan 2, 2009 1:20:16 PM

Author:
  Artur Hefczyc

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ADD_SCRIPT_CMD`
  `static final String`
  `ADMINS_SET`
  `static final String`
  `ADMN_CMDS`
  `static final String`
  `ADMN_DISC`
  `static final String`
  `AUTH_REPO`
  `static final String`
  `COMMAND_ID`
  `static final String`
  `COMMANDS_ACL`
  `static final String`
  `COMPONENT`
  `static final String`
  `COMPONENT_NAME`
  `static final String`
  `CONNECTED_NODES`
  `static final String`
  `CONNECTED_NODES_WITH_LOCAL`
  `static final String`
  `DEL_SCRIPT_CMD`
  `static final String`
  `DESCRIPT`
  `static final String`
  `EVENTBUS`
  `static final String`
  `GROUP`
  `static final String`
  `LANGUAGE`
  `static final String`
  `PACKET`
  `static final String`
  `REMOVE_FROM_DISK`
  `static final String`
  `SAVE_TO_DISK`
  `static final String`
  `SCRI_MANA`
  `static final String`
  `SCRIPT_BASE_DIR`
  `static final String`
  `SCRIPT_CLASS`
  `static final String`
  `SCRIPT_COMP_DIR`
  `static final String`
  `SCRIPT_COMPONENT`
  `static final String`
  `SCRIPT_DESCRIPTION`
  `static final String`
  `SCRIPT_GROUP`
  `static final String`
  `SCRIPT_ID`
  `static final String`
  `SCRIPT_RESULT`
  `static final String`
  `SCRIPT_TEXT`
  `static final String`
  `SERVICES_MAP`
  `static final String`
  `USER_CONN`
  `static final String`
  `USER_REPO`
  `static final String`
  `USER_SESS`
  `static final String`
  `VHOST_MANAGER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Bindings`
  `getBindings()`
  `String`
  `getCommandId()`
  `String`
  `getDescription()`
  `String`
  `getGroup()`
  `void`
  `init(String id, String description, String group)`
  `boolean`
  `isAdminOnly()`
  `void`
  `runCommand(Iq packet, Bindings binds, Queue<Packet> results)`
  `void`
  `setAdminOnly(boolean adminOnly)`

  ### Methods inherited from interface tigase.stats.StatisticHolder

  `everyHour, everyMinute, everySecond, getStatistics, setStatisticsPrefix, statisticExecutedIn`

- ## Field Details

  - ### VHOST_MANAGER

    static final String VHOST_MANAGER
    See Also:
      - Constant Field Values

  - ### ADMINS_SET

    static final String ADMINS_SET
    See Also:
      - Constant Field Values

  - ### COMMANDS_ACL

    static final String COMMANDS_ACL
    See Also:
      - Constant Field Values

  - ### ADMN_CMDS

    static final String ADMN_CMDS
    See Also:
      - Constant Field Values

  - ### USER_REPO

    static final String USER_REPO
    See Also:
      - Constant Field Values

  - ### AUTH_REPO

    static final String AUTH_REPO
    See Also:
      - Constant Field Values

  - ### USER_SESS

    static final String USER_SESS
    See Also:
      - Constant Field Values

  - ### USER_CONN

    static final String USER_CONN
    See Also:
      - Constant Field Values

  - ### ADMN_DISC

    static final String ADMN_DISC
    See Also:
      - Constant Field Values

  - ### SCRI_MANA

    static final String SCRI_MANA
    See Also:
      - Constant Field Values

  - ### SCRIPT_BASE_DIR

    static final String SCRIPT_BASE_DIR
    See Also:
      - Constant Field Values

  - ### SCRIPT_COMP_DIR

    static final String SCRIPT_COMP_DIR
    See Also:
      - Constant Field Values

  - ### COMPONENT_NAME

    static final String COMPONENT_NAME
    See Also:
      - Constant Field Values

  - ### COMPONENT

    static final String COMPONENT
    See Also:
      - Constant Field Values

  - ### CONNECTED_NODES

    static final String CONNECTED_NODES
    See Also:
      - Constant Field Values

  - ### CONNECTED_NODES_WITH_LOCAL

    static final String CONNECTED_NODES_WITH_LOCAL
    See Also:
      - Constant Field Values

  - ### EVENTBUS

    static final String EVENTBUS
    See Also:
      - Constant Field Values

  - ### SERVICES_MAP

    static final String SERVICES_MAP
    See Also:
      - Constant Field Values

  - ### SCRIPT_DESCRIPTION

    static final String SCRIPT_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### SCRIPT_ID

    static final String SCRIPT_ID
    See Also:
      - Constant Field Values

  - ### SCRIPT_COMPONENT

    static final String SCRIPT_COMPONENT
    See Also:
      - Constant Field Values

  - ### SCRIPT_CLASS

    static final String SCRIPT_CLASS
    See Also:
      - Constant Field Values

  - ### SCRIPT_GROUP

    static final String SCRIPT_GROUP
    See Also:
      - Constant Field Values

  - ### LANGUAGE

    static final String LANGUAGE
    See Also:
      - Constant Field Values

  - ### COMMAND_ID

    static final String COMMAND_ID
    See Also:
      - Constant Field Values

  - ### SCRIPT_TEXT

    static final String SCRIPT_TEXT
    See Also:
      - Constant Field Values

  - ### SCRIPT_RESULT

    static final String SCRIPT_RESULT
    See Also:
      - Constant Field Values

  - ### DESCRIPT

    static final String DESCRIPT
    See Also:
      - Constant Field Values

  - ### GROUP

    static final String GROUP
    See Also:
      - Constant Field Values

  - ### SAVE_TO_DISK

    static final String SAVE_TO_DISK
    See Also:
      - Constant Field Values

  - ### REMOVE_FROM_DISK

    static final String REMOVE_FROM_DISK
    See Also:
      - Constant Field Values

  - ### PACKET

    static final String PACKET
    See Also:
      - Constant Field Values

  - ### ADD_SCRIPT_CMD

    static final String ADD_SCRIPT_CMD
    See Also:
      - Constant Field Values

  - ### DEL_SCRIPT_CMD

    static final String DEL_SCRIPT_CMD
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getBindings

    Bindings getBindings()

  - ### getCommandId

    String getCommandId()

  - ### getDescription

    String getDescription()

  - ### getGroup

    String getGroup()

  - ### init

    void init(String id, String description, String group)

  - ### isAdminOnly

    boolean isAdminOnly()

  - ### setAdminOnly

    void setAdminOnly(boolean adminOnly)

  - ### runCommand

    void runCommand(Iq packet, Bindings binds, Queue<Packet> results)